DRM_FRAMEBUFFER_UNRE(9)

NAME
drm_framebuffer_unregister_private - unregister a private fb from the lookup idr

SYNOPSIS

void drm_framebuffer_unregister_private(struct drm_framebuffer * fb);

ARGUMENTS

fb
    fb to unregister

DESCRIPTION

Drivers need to call this when cleaning up driver-private framebuffers, e.g. those used for fbdev. Note that the caller must hold a reference of it's own, i.e. the object may not be destroyed through this call (since it'll lead to a locking inversion).

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT